Serializer Class Reference

`#include <Serializer.h>`

Collaboration diagram for Serializer:

## Public Member Functions

| Serializer (const std::string &fileName, const eFileMode fileMode, const bool verbose=false)
| ~Serializer ()
unsigned int | GetNumDataIndices ()
UInt32 | ReadUInt32 (const UInt32 index)
void | ReadUInt32s (std::vector< UInt32 > &UInt32s, const UInt32 index)
void | ReadString (std::string &retString, const UInt32 index)
void | ReadStrings (std::vector< std::string > &theStrings, const UInt32 index)
UInt32 | WriteUInt32 (const UInt32 theWord)
UInt32 | WriteUInt32s (const std::vector< UInt32 > &theWords)
UInt32 | WriteString (const std::string &theString)
UInt32 | WriteStrings (const std::vector< std::string > &theStrings)
UInt32 | UpdateUInt32 (const UInt32 theWord, const UInt32 oldIndex)
UInt32 | UpdateUInt32s (const std::vector< UInt32 > &theWords, const UInt32 oldIndex)
UInt32 | UpdateString (const std::string &theString, const UInt32 oldIndex)
UInt32 | UpdateStrings (const std::vector< std::string > &theStrings, const UInt32 oldIndex)

## Constructor & Destructor Documentation

Serializer::Serializer | ( | const std::string & | fileName,
|  | const eFileMode | fileMode,
|  | const bool | verbose = `false`
| ) |  |

Serializer::~Serializer | ( | ) |  |

## Member Function Documentation

UInt32 Serializer::GetNumDataIndices | ( | ) |  |

inline

void Serializer::ReadString | ( | std::string & | retString,
|  | const UInt32 | index
| ) |  |

void Serializer::ReadStrings | ( | std::vector< std::string > & | theStrings,
|  | const UInt32 | index
| ) |  |

UInt32 Serializer::ReadUInt32 | ( | const UInt32 | index) |  |

void Serializer::ReadUInt32s | ( | std::vector< UInt32 > & | UInt32s,
|  | const UInt32 | index
| ) |  |

UInt32 Serializer::UpdateString | ( | const std::string & | theString,
|  | const UInt32 | oldIndex
| ) |  |

UInt32 Serializer::UpdateStrings | ( | const std::vector< std::string > & | theStrings,
|  | const UInt32 | oldIndex
| ) |  |

UInt32 Serializer::UpdateUInt32 | ( | const UInt32 | theWord,
|  | const UInt32 | oldIndex
| ) |  |

UInt32 Serializer::UpdateUInt32s | ( | const std::vector< UInt32 > & | theWords,
|  | const UInt32 | oldIndex
| ) |  |

UInt32 Serializer::WriteString | ( | const std::string & | theString) |  |

UInt32 Serializer::WriteStrings | ( | const std::vector< std::string > & | theStrings) |  |

UInt32 Serializer::WriteUInt32 | ( | const UInt32 | theWord) |  |

UInt32 Serializer::WriteUInt32s | ( | const std::vector< UInt32 > & | theWords) |  |

The documentation for this class was generated from the following file:

- rcsb/Serializer.h